'use client';

import './style.scss';

export default function HeaderContent({ isEnabled, content }: { isEnabled?: boolean, content?: string|null }) {
	if (!isEnabled) {
		return null;
	}

	return (
		<>
			<blockquote
				id='writeHeaderContent'
				aria-label='게시글 작성 상단 내용'
			 	dangerouslySetInnerHTML={{ __html: content ?? '' }}
			/>
		</>
	);
}